apiVersion: v1
kind: Service
metadata:
  name: mc-web-app
spec:
  type: NodePort
  selector:
    app: mc-web-app
  ports:
  - protocol: TCP
    port: 80
    targetPort: 80
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: mc-web-app
  labels:
    app: mc-web-app
spec:
  replicas: 1
  selector:
    matchLabels:
      app: mc-web-app
  template:
    metadata:
      labels:
        app: mc-web-app
        commit: {{ .Values.commit }}
    spec:
      imagePullSecrets:
      - name: regsecret
      containers:
      - name: mc-web-app
        image: registry.gitlab.com/drim-consulting/devops/monitoring-center/web-app:{{ .Values.version }}
        imagePullPolicy: Always
        ports:
        - containerPort: 80